import request from '@/utils/request'

// 查询成品库存明细列表
export function listDetailed(query) {
	return request({
		url: '/wms/detailed/list',
		method: 'get',
		params: query
	});
}

// 查询成品库存明细详细
export function getDetailed(storageId) {
	return request({
		url: '/wms/detailed/' + storageId,
		method: 'get'
		});
}

// 新增成品库存明细
export function addDetailed(data) {
	return request({
		url: '/wms/detailed',
		method: 'post',
		data: data
	});
}

// 修改成品库存明细
export function updateDetailed(data) {
	return request({
		url: '/wms/detailed',
		method: 'put',
		data: data
	});
}

// 删除成品库存明细
export function delDetailed(storageId) {
	return request({
		url: '/wms/detailed/' + storageId,
		method: 'delete'
	});
}
